Subject: BIRD25.3 DATA DERIVATION EXPANSION

From: [email-masked] ( Bob Ross)
Date: Fri, 24 Feb 95 18:02 PST

IBIS Members:

The Approved Version of BIRD25.3 is presented with the addition of the
"C_comp ..." paragraph and some text corrections.  Thank you all for your
comments and consideration.

The major impact of BIRD25.3 is to add clarity by:

(1) Giving a rationale for populating the "min" and "max" columns.

(2) Allowing usage of "slow, weak" process and "fast, strong" process models
    or devices in developing IBIS models.

(3) Stating a MAGNITUDE rationale for inserting C_comp "min" and "max" 
    column entries.
 
(4) Including conditions for [Rising Waveform] and [Falling Waveform] table
    "min" and "max" column entries, to correct an omission. 

Bob Ross,
Interconnectix, Inc.

*****************************************************************************

*****************************************************************************
                 Buffer Issue Resolution Document  (BIRD)

BIRD ID#:                25.3
ISSUE TITLE:             DATA DERIVATION EXPANSION
REQUESTOR:               Bob Ross, Interconnectix, Inc.
DATE SUBMITTED:          25 January 1995 
DATE REVISED:            7Feb95, 9Feb95, 24Feb95
DATE ACCEPTED BY IBIS OPEN FORUM:    24Feb95

******************************************************************************

******************************************************************************

STATEMENT OF THE ISSUE:

As IBIS has expanded in functionality, some of the derivation rules and
usage have not been fully considered or documented in the standard.

******************************************************************************

STATEMENT OF THE RESOLVED SPECIFICATIONS:

Item #12 is added to the "General syntax rules and guidelines for ASCII
IBIS files" section at the beginning to point to important information
in the NOTES ON DATA DERIVATION METHOD section at the end:

| 12)  Important supplimental information is contained in the last section,
|      "NOTES ON DATA DERIVATION METHOD", concerning how data values are
|      derived.
|

Replace the first Paragraph of NOTES ON DATA DERIVATION METHOD section shown
below:

|==============================================================================
|
|                       NOTES ON DATA DERIVATION METHOD
|
| This section explains how data values are derived.  The intention is to
| avoid over-guardbanding which enables simulation results that are meaningful
| and useful.  This intention is accomplished by having each silicon vendor
| base its data on typical process data, and then derate by voltage and
| temperature, and a proprietary "X%" factor.  This methodology also has the
| nice feature that the data can be derived either from vendor-proprietary
| silicon models, or typical device measurement over temperature/voltage.
|

The replacement text follows: 

|==============================================================================
|
|                       NOTES ON DATA DERIVATION METHOD
|
| This section explains how data values are derived.  It describes certain
| assumed parameter and table extraction conditions if they are not
| explicitly specified.  It also describes the allocation of data into
| the "typ", "min", and "max" columns under variations of voltage,
| temperature, and process.
|
| The required "typ" column for all data represents typical operating
| conditions.  For most [Model] keyword data, the "min" column describes
| slow, weak performance, and  the "max" column describes the fast, strong
| performance.  It is permissible to use slow, weak devices or models to
| derive the data for the "min" column, and to use fast, strong devices or
| models to derive the data in the "max" columns under the corresponding
| voltage and temperature derating conditions for these columns.  It is also
| permissible to use typical devices or models derated by voltage and
| temperature and optionally apply proprietary "X%" and "Y%" factors
| described later for further derating.  This methodology has the
| nice feature that the data can be derived either from vendor-proprietary
| silicon models, or typical device measurement over temperature/voltage.
|
| The voltage and temperature keywords and optionally the process models
| control the conditions which define the "typ", "min", and "max" column
| entries for all V/I table keywords [Pulldown], [Pullup], [Gnd Clamp],
| and [Power Clamp]; all [Ramp] sub-parameters dV/dt_r and dV/dt_f; and
| all waveform table keywords and sub-parameters [Rising Waveform],
| [Falling Waveform], V_fixture, V_fixture_min, and V_fixture_max.
|
| The voltage keywords which control the voltage conditions are [Voltage
| Range], [Pulldown Reference], [Pullup Reference], [Gnd Clamp Reference],
| and [Power Clamp Reference].  The entries in the "min" columns
| contain the smallest magnitude voltages, and the entries in the "max"
| columns contain the largest magnitude voltages.
| 
| The optional [Temperature] keyword will contain the temperature
| which causes or amplifies the slow, weak conditions in the "min" column
| and the temperature which causes or amplifies the fast, strong
| conditions in the "max" column.  Therefore, the "min" column for 
| [Temperature] will contain the lowest value for bipolar devices (TTL
| and ECL) and the highest value for CMOS devices.  Default values
| described later are assumed if temperature is not specified.
|
| The "min" and "max" columns for all remaining keywords and sub-parameters
| will contain the smallest and largest magnitude values.  This applies
| to the [Model] sub-parameter C_comp as well even if the correlation
| to the voltage, temperature, and process variations are known because
| information about such correlation is not available in all cases. 
|
| C_comp is considered an independent variable.  This is because C_comp
| includes bonding pad capacitance, which does not necessarily track
| fabrication process variations.  The conservative approach to using IBIS 
| data will associate large C_comp values with slow, weak models, and the
| small C_comp values with fast, strong models."
|
| The default temperatures under which all V/I tables are extracted are
| provided below.  The same defaults also are stated for the [Ramp]
| sub-parameters, but they also apply for the waveform keywords.
|
| The stated voltage ranges for V/I tables cover the most common, single
| supply cases.  When multiple supplies are specified, the voltages shall
| extend similarly to values which handle practical extremes in reflected
| wave simulations.
|  
| For the [Ramp] sub-parameters, the default test load and voltages are
| provided.  However, the test load can be entered directly by the R_load
| sub-parameter.  The allowable test loads and voltages for the waveform
| keywords are stated by required and optional sub-parameters; no defaults
| are needed.  Even with waveform keywords, the [Ramp] keyword continues 
| to be required so that the IBIS model remains functional in situations 
| which do not support waveform processing.
| 
| The following discussion lists test details and default conditions.
|

Existing text follows.

******************************************************************************

ANALYSIS PATH/DATA THAT LED TO SPECIFICATION

As IBIS expands to capture more capability, there needs to be consistent
alignment of certain correlated data.  More restrictive guidelines are
needed in specifying "min" and "max" column entries so that related
groupings for the die model can all exist in the same column.

The rationale for "min" and "max" columns needs to be expressed.

Because Spice based I/O models frequently are given as separate
"slow, weak" and "fast, strong" models such as in the TI Advanced Bus
Interface SPICE I/O Models Data Book, provisions to accept such models
needed to be stated.  This is consistent with actual usage and needs
to be included in supporting utilities such as "s2ibis" for Version 2.1.

If the [Temperature] keyword is used, the data that goes into the "min"
and "max" columns is restated in terms of the reason for providing the
"min" and "max" columns.  Furthermore, while temperature itself may
not necessarily be used in processing an IBIS model, it could be
used to generate it through automated tools.  Therefore, the 
temperature used needs to be aligned with the other data in the 
column.

The C_comp sub-parameter has special consideration because it's correlation
with temperature, voltage and process variations may not always be
known.  Consistent with existing practice, it is positioned based on
magnitude regardless of any known correlation information so that all
IBIS models can be used in a consistent manner.

Conditions for [Rising Waveform] and [Falling Waveform] column entries
are clarified to be consistent with the [Ramp] sub-parameter entries.

The "min" column and "max" column entries apply only to the "process-
based" IBIS data.  Other data follow standard "min" and "max" entries
based on magnitude because they pertain to variations that are unrelated
to process parameter variations or else their application (such as 
terminator resistor values) would be treated (optionally) as an independent
variation for analysis and design.

******************************************************************************

ANY OTHER BACKGROUND INFORMATION

Subsequent investigation by Intel revealed that C_comp was primarily 
uncorrelated to the process fabrication variations because it includes
bonding capacitance as a primary contributer.  A new paragraph was added
to state this.